Skip to main content
GET
/
api
/
v1
/
llm
/
evals
/
runs
Python (SDK)
from mka1 import SDK


with SDK(
    bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:

    res = sdk.llm.evals.list_runs(limit=20)

    # Handle response
    print(res)
{
  "object": "list",
  "data": [
    {
      "id": "eval_run_aa87e2b1112a455b8deabed784372198",
      "object": "eval.run",
      "suite_id": "eval_suite_aa87e2b1112a455b8deabed784372198",
      "suite_version": 1,
      "suite_version_id": "eval_sver_aa87e2b1112a455b8deabed784372198",
      "status": "in_progress",
      "models": [
        "auto"
      ],
      "task_ids": null,
      "judge_model": "auto",
      "embedding_model": "auto",
      "generation": {
        "temperature": 0,
        "max_output_tokens": 512
      },
      "request_counts": {
        "total": 100,
        "completed": 10,
        "failed": 0
      },
      "metrics": null,
      "error": null,
      "artifact_file_ids": [],
      "metadata": {
        "purpose": "mvp"
      },
      "created_at": 1704067200,
      "started_at": 1704067210,
      "completed_at": null,
      "cancelled_at": null,
      "failed_at": null
    }
  ],
  "first_id": "eval_run_aa87e2b1112a455b8deabed784372198",
  "last_id": "eval_run_aa87e2b1112a455b8deabed784372198",
  "has_more": false
}

Documentation Index

Fetch the complete documentation index at: https://docs.mka1.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Gateway auth: send Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, you can also send X-On-Behalf-Of: <external-user-id>.

Headers

X-On-Behalf-Of
string

Optional external end-user identifier forwarded by the API gateway.

Query Parameters

after
string
limit
integer
default:20
Required range: 1 <= x <= 100
suite_id
string
status
enum<string>
Available options:
queued,
in_progress,
finalizing,
completed,
failed,
cancelling,
cancelled

Response

200 - application/json

OK

object
any
required
data
object[]
required
has_more
boolean
required
first_id
string
last_id
string